// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/dictionary/hybrids_groups_for_culture.proto

package dictionary

import (
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	dictionary_common "gitlab.com/adhocguru/fcp/apis/gen/dictionary/v1/dictionary_common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type HybridsGroupsForCulture struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id               int64                 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	CultureId        int64                 `protobuf:"varint,2,opt,name=culture_id,json=cultureId,proto3" json:"culture_id,omitempty"`
	CultureName      string                `protobuf:"bytes,3,opt,name=culture_name,json=cultureName,proto3" json:"culture_name,omitempty"`
	HybridsGroupId   int64                 `protobuf:"varint,4,opt,name=hybrids_group_id,json=hybridsGroupId,proto3" json:"hybrids_group_id,omitempty"`
	HybridsGroupName string                `protobuf:"bytes,5,opt,name=hybrids_group_name,json=hybridsGroupName,proto3" json:"hybrids_group_name,omitempty"`
	Hash             *wrappers.StringValue `protobuf:"bytes,21,opt,name=hash,proto3" json:"hash,omitempty"`
	Deleted          *wrappers.BoolValue   `protobuf:"bytes,22,opt,name=deleted,proto3" json:"deleted,omitempty"`
	CreatedBy        *wrappers.StringValue `protobuf:"bytes,23,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
	CreatedAt        *timestamp.Timestamp  `protobuf:"bytes,24,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	UpdatedBy        *wrappers.StringValue `protobuf:"bytes,25,opt,name=updated_by,json=updatedBy,proto3" json:"updated_by,omitempty"`
	UpdatedAt        *timestamp.Timestamp  `protobuf:"bytes,26,opt,name=updated_at,json=updatedAt,proto3" json:"updated_at,omitempty"`
}

func (x *HybridsGroupsForCulture) Reset() {
	*x = HybridsGroupsForCulture{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HybridsGroupsForCulture) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HybridsGroupsForCulture) ProtoMessage() {}

func (x *HybridsGroupsForCulture) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HybridsGroupsForCulture.ProtoReflect.Descriptor instead.
func (*HybridsGroupsForCulture) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_hybrids_groups_for_culture_proto_rawDescGZIP(), []int{0}
}

func (x *HybridsGroupsForCulture) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *HybridsGroupsForCulture) GetCultureId() int64 {
	if x != nil {
		return x.CultureId
	}
	return 0
}

func (x *HybridsGroupsForCulture) GetCultureName() string {
	if x != nil {
		return x.CultureName
	}
	return ""
}

func (x *HybridsGroupsForCulture) GetHybridsGroupId() int64 {
	if x != nil {
		return x.HybridsGroupId
	}
	return 0
}

func (x *HybridsGroupsForCulture) GetHybridsGroupName() string {
	if x != nil {
		return x.HybridsGroupName
	}
	return ""
}

func (x *HybridsGroupsForCulture) GetHash() *wrappers.StringValue {
	if x != nil {
		return x.Hash
	}
	return nil
}

func (x *HybridsGroupsForCulture) GetDeleted() *wrappers.BoolValue {
	if x != nil {
		return x.Deleted
	}
	return nil
}

func (x *HybridsGroupsForCulture) GetCreatedBy() *wrappers.StringValue {
	if x != nil {
		return x.CreatedBy
	}
	return nil
}

func (x *HybridsGroupsForCulture) GetCreatedAt() *timestamp.Timestamp {
	if x != nil {
		return x.CreatedAt
	}
	return nil
}

func (x *HybridsGroupsForCulture) GetUpdatedBy() *wrappers.StringValue {
	if x != nil {
		return x.UpdatedBy
	}
	return nil
}

func (x *HybridsGroupsForCulture) GetUpdatedAt() *timestamp.Timestamp {
	if x != nil {
		return x.UpdatedAt
	}
	return nil
}

type HybridsGroupsForCultureFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id             *wrappers.Int64Value `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	CultureId      *wrappers.Int64Value `protobuf:"bytes,2,opt,name=culture_id,json=cultureId,proto3" json:"culture_id,omitempty"`
	HybridsGroupId *wrappers.Int64Value `protobuf:"bytes,4,opt,name=hybrids_group_id,json=hybridsGroupId,proto3" json:"hybrids_group_id,omitempty"`
	Deleted        *wrappers.BoolValue  `protobuf:"bytes,22,opt,name=deleted,proto3" json:"deleted,omitempty"`
}

func (x *HybridsGroupsForCultureFilter) Reset() {
	*x = HybridsGroupsForCultureFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HybridsGroupsForCultureFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HybridsGroupsForCultureFilter) ProtoMessage() {}

func (x *HybridsGroupsForCultureFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HybridsGroupsForCultureFilter.ProtoReflect.Descriptor instead.
func (*HybridsGroupsForCultureFilter) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_hybrids_groups_for_culture_proto_rawDescGZIP(), []int{1}
}

func (x *HybridsGroupsForCultureFilter) GetId() *wrappers.Int64Value {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *HybridsGroupsForCultureFilter) GetCultureId() *wrappers.Int64Value {
	if x != nil {
		return x.CultureId
	}
	return nil
}

func (x *HybridsGroupsForCultureFilter) GetHybridsGroupId() *wrappers.Int64Value {
	if x != nil {
		return x.HybridsGroupId
	}
	return nil
}

func (x *HybridsGroupsForCultureFilter) GetDeleted() *wrappers.BoolValue {
	if x != nil {
		return x.Deleted
	}
	return nil
}

type ListHybridsGroupsForCultureRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *HybridsGroupsForCultureFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
	// sortable fields: id, created_by, created_at, updated_by, updated_at
	Sortings []*dictionary_common.Sorting `protobuf:"bytes,2,rep,name=sortings,proto3" json:"sortings,omitempty"`
	// Pagination - Optional
	Pagination *dictionary_common.PaginationRequest `protobuf:"bytes,3,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListHybridsGroupsForCultureRequest) Reset() {
	*x = ListHybridsGroupsForCultureRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListHybridsGroupsForCultureRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListHybridsGroupsForCultureRequest) ProtoMessage() {}

func (x *ListHybridsGroupsForCultureRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListHybridsGroupsForCultureRequest.ProtoReflect.Descriptor instead.
func (*ListHybridsGroupsForCultureRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_hybrids_groups_for_culture_proto_rawDescGZIP(), []int{2}
}

func (x *ListHybridsGroupsForCultureRequest) GetFilter() *HybridsGroupsForCultureFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

func (x *ListHybridsGroupsForCultureRequest) GetSortings() []*dictionary_common.Sorting {
	if x != nil {
		return x.Sortings
	}
	return nil
}

func (x *ListHybridsGroupsForCultureRequest) GetPagination() *dictionary_common.PaginationRequest {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type ListHybridsGroupsForCultureResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items      []*HybridsGroupsForCulture            `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Pagination *dictionary_common.PaginationResponse `protobuf:"bytes,2,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListHybridsGroupsForCultureResponse) Reset() {
	*x = ListHybridsGroupsForCultureResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListHybridsGroupsForCultureResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListHybridsGroupsForCultureResponse) ProtoMessage() {}

func (x *ListHybridsGroupsForCultureResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListHybridsGroupsForCultureResponse.ProtoReflect.Descriptor instead.
func (*ListHybridsGroupsForCultureResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_hybrids_groups_for_culture_proto_rawDescGZIP(), []int{3}
}

func (x *ListHybridsGroupsForCultureResponse) GetItems() []*HybridsGroupsForCulture {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *ListHybridsGroupsForCultureResponse) GetPagination() *dictionary_common.PaginationResponse {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type GetHybridsGroupsForCultureRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetHybridsGroupsForCultureRequest) Reset() {
	*x = GetHybridsGroupsForCultureRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetHybridsGroupsForCultureRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetHybridsGroupsForCultureRequest) ProtoMessage() {}

func (x *GetHybridsGroupsForCultureRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetHybridsGroupsForCultureRequest.ProtoReflect.Descriptor instead.
func (*GetHybridsGroupsForCultureRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_hybrids_groups_for_culture_proto_rawDescGZIP(), []int{4}
}

func (x *GetHybridsGroupsForCultureRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type GetHybridsGroupsForCultureResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *HybridsGroupsForCulture `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *GetHybridsGroupsForCultureResponse) Reset() {
	*x = GetHybridsGroupsForCultureResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetHybridsGroupsForCultureResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetHybridsGroupsForCultureResponse) ProtoMessage() {}

func (x *GetHybridsGroupsForCultureResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetHybridsGroupsForCultureResponse.ProtoReflect.Descriptor instead.
func (*GetHybridsGroupsForCultureResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_hybrids_groups_for_culture_proto_rawDescGZIP(), []int{5}
}

func (x *GetHybridsGroupsForCultureResponse) GetItem() *HybridsGroupsForCulture {
	if x != nil {
		return x.Item
	}
	return nil
}

var File_v1_dictionary_hybrids_groups_for_culture_proto protoreflect.FileDescriptor

var file_v1_dictionary_hybrids_groups_for_culture_proto_rawDesc = []byte{
	0x0a, 0x2e, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2f,
	0x68, 0x79, 0x62, 0x72, 0x69, 0x64, 0x73, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x5f, 0x66,
	0x6f, 0x72, 0x5f, 0x63, 0x75, 0x6c, 0x74, 0x75, 0x72, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x1c, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x1a, 0x1e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f,
	0x77, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f,
	0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x2c, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xa1, 0x04,
	0x0a, 0x17, 0x48, 0x79, 0x62, 0x72, 0x69, 0x64, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x46,
	0x6f, 0x72, 0x43, 0x75, 0x6c, 0x74, 0x75, 0x72, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x63, 0x75, 0x6c,
	0x74, 0x75, 0x72, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x63,
	0x75, 0x6c, 0x74, 0x75, 0x72, 0x65, 0x49, 0x64, 0x12, 0x21, 0x0a, 0x0c, 0x63, 0x75, 0x6c, 0x74,
	0x75, 0x72, 0x65, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b,
	0x63, 0x75, 0x6c, 0x74, 0x75, 0x72, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x28, 0x0a, 0x10, 0x68,
	0x79, 0x62, 0x72, 0x69, 0x64, 0x73, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x69, 0x64, 0x18,
	0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0e, 0x68, 0x79, 0x62, 0x72, 0x69, 0x64, 0x73, 0x47, 0x72,
	0x6f, 0x75, 0x70, 0x49, 0x64, 0x12, 0x2c, 0x0a, 0x12, 0x68, 0x79, 0x62, 0x72, 0x69, 0x64, 0x73,
	0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x10, 0x68, 0x79, 0x62, 0x72, 0x69, 0x64, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x4e,
	0x61, 0x6d, 0x65, 0x12, 0x30, 0x0a, 0x04, 0x68, 0x61, 0x73, 0x68, 0x18, 0x15, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52,
	0x04, 0x68, 0x61, 0x73, 0x68, 0x12, 0x34, 0x0a, 0x07, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64,
	0x18, 0x16, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x42, 0x6f, 0x6f, 0x6c, 0x56, 0x61, 0x6c,
	0x75, 0x65, 0x52, 0x07, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x12, 0x3b, 0x0a, 0x0a, 0x63,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x17, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x63,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x12, 0x39, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x18, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54,
	0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x64, 0x41, 0x74, 0x12, 0x3b, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62,
	0x79, 0x18, 0x19, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67,
	0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79,
	0x12, 0x39, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x1a,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70,
	0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x4a, 0x04, 0x08, 0x06, 0x10,
	0x15, 0x22, 0x97, 0x02, 0x0a, 0x1d, 0x48, 0x79, 0x62, 0x72, 0x69, 0x64, 0x73, 0x47, 0x72, 0x6f,
	0x75, 0x70, 0x73, 0x46, 0x6f, 0x72, 0x43, 0x75, 0x6c, 0x74, 0x75, 0x72, 0x65, 0x46, 0x69, 0x6c,
	0x74, 0x65, 0x72, 0x12, 0x2b, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x02, 0x69, 0x64,
	0x12, 0x3a, 0x0a, 0x0a, 0x63, 0x75, 0x6c, 0x74, 0x75, 0x72, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c, 0x75,
	0x65, 0x52, 0x09, 0x63, 0x75, 0x6c, 0x74, 0x75, 0x72, 0x65, 0x49, 0x64, 0x12, 0x45, 0x0a, 0x10,
	0x68, 0x79, 0x62, 0x72, 0x69, 0x64, 0x73, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x69, 0x64,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56, 0x61,
	0x6c, 0x75, 0x65, 0x52, 0x0e, 0x68, 0x79, 0x62, 0x72, 0x69, 0x64, 0x73, 0x47, 0x72, 0x6f, 0x75,
	0x70, 0x49, 0x64, 0x12, 0x34, 0x0a, 0x07, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x18, 0x16,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x42, 0x6f, 0x6f, 0x6c, 0x56, 0x61, 0x6c, 0x75, 0x65,
	0x52, 0x07, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x4a, 0x04, 0x08, 0x03, 0x10, 0x04, 0x4a,
	0x04, 0x08, 0x05, 0x10, 0x15, 0x4a, 0x04, 0x08, 0x15, 0x10, 0x16, 0x22, 0x9b, 0x02, 0x0a, 0x22,
	0x4c, 0x69, 0x73, 0x74, 0x48, 0x79, 0x62, 0x72, 0x69, 0x64, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70,
	0x73, 0x46, 0x6f, 0x72, 0x43, 0x75, 0x6c, 0x74, 0x75, 0x72, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x53, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x3b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2e, 0x48, 0x79, 0x62, 0x72, 0x69, 0x64, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x46,
	0x6f, 0x72, 0x43, 0x75, 0x6c, 0x74, 0x75, 0x72, 0x65, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52,
	0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x48, 0x0a, 0x08, 0x73, 0x6f, 0x72, 0x74, 0x69,
	0x6e, 0x67, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x53, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x52, 0x08, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67,
	0x73, 0x12, 0x56, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x36, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69,
	0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x0a, 0x70,
	0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xcb, 0x01, 0x0a, 0x23, 0x4c, 0x69,
	0x73, 0x74, 0x48, 0x79, 0x62, 0x72, 0x69, 0x64, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x46,
	0x6f, 0x72, 0x43, 0x75, 0x6c, 0x74, 0x75, 0x72, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x4b, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x35, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e,
	0x48, 0x79, 0x62, 0x72, 0x69, 0x64, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x46, 0x6f, 0x72,
	0x43, 0x75, 0x6c, 0x74, 0x75, 0x72, 0x65, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x12, 0x57,
	0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x37, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x52, 0x0a, 0x70, 0x61, 0x67,
	0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x33, 0x0a, 0x21, 0x47, 0x65, 0x74, 0x48, 0x79,
	0x62, 0x72, 0x69, 0x64, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x46, 0x6f, 0x72, 0x43, 0x75,
	0x6c, 0x74, 0x75, 0x72, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x6f, 0x0a, 0x22,
	0x47, 0x65, 0x74, 0x48, 0x79, 0x62, 0x72, 0x69, 0x64, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x73,
	0x46, 0x6f, 0x72, 0x43, 0x75, 0x6c, 0x74, 0x75, 0x72, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x49, 0x0a, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x35, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e,
	0x48, 0x79, 0x62, 0x72, 0x69, 0x64, 0x73, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x46, 0x6f, 0x72,
	0x43, 0x75, 0x6c, 0x74, 0x75, 0x72, 0x65, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x42, 0x68, 0x0a,
	0x25, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x50, 0x01, 0x5a, 0x3a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x61, 0x64, 0x68, 0x6f, 0x63, 0x67, 0x75, 0x72, 0x75, 0x2f, 0x66,
	0x63, 0x70, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x64, 0x69, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_dictionary_hybrids_groups_for_culture_proto_rawDescOnce sync.Once
	file_v1_dictionary_hybrids_groups_for_culture_proto_rawDescData = file_v1_dictionary_hybrids_groups_for_culture_proto_rawDesc
)

func file_v1_dictionary_hybrids_groups_for_culture_proto_rawDescGZIP() []byte {
	file_v1_dictionary_hybrids_groups_for_culture_proto_rawDescOnce.Do(func() {
		file_v1_dictionary_hybrids_groups_for_culture_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_dictionary_hybrids_groups_for_culture_proto_rawDescData)
	})
	return file_v1_dictionary_hybrids_groups_for_culture_proto_rawDescData
}

var file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_v1_dictionary_hybrids_groups_for_culture_proto_goTypes = []interface{}{
	(*HybridsGroupsForCulture)(nil),              // 0: fcp.dictionary.v1.dictionary.HybridsGroupsForCulture
	(*HybridsGroupsForCultureFilter)(nil),        // 1: fcp.dictionary.v1.dictionary.HybridsGroupsForCultureFilter
	(*ListHybridsGroupsForCultureRequest)(nil),   // 2: fcp.dictionary.v1.dictionary.ListHybridsGroupsForCultureRequest
	(*ListHybridsGroupsForCultureResponse)(nil),  // 3: fcp.dictionary.v1.dictionary.ListHybridsGroupsForCultureResponse
	(*GetHybridsGroupsForCultureRequest)(nil),    // 4: fcp.dictionary.v1.dictionary.GetHybridsGroupsForCultureRequest
	(*GetHybridsGroupsForCultureResponse)(nil),   // 5: fcp.dictionary.v1.dictionary.GetHybridsGroupsForCultureResponse
	(*wrappers.StringValue)(nil),                 // 6: google.protobuf.StringValue
	(*wrappers.BoolValue)(nil),                   // 7: google.protobuf.BoolValue
	(*timestamp.Timestamp)(nil),                  // 8: google.protobuf.Timestamp
	(*wrappers.Int64Value)(nil),                  // 9: google.protobuf.Int64Value
	(*dictionary_common.Sorting)(nil),            // 10: fcp.dictionary.v1.dictionary_common.Sorting
	(*dictionary_common.PaginationRequest)(nil),  // 11: fcp.dictionary.v1.dictionary_common.PaginationRequest
	(*dictionary_common.PaginationResponse)(nil), // 12: fcp.dictionary.v1.dictionary_common.PaginationResponse
}
var file_v1_dictionary_hybrids_groups_for_culture_proto_depIdxs = []int32{
	6,  // 0: fcp.dictionary.v1.dictionary.HybridsGroupsForCulture.hash:type_name -> google.protobuf.StringValue
	7,  // 1: fcp.dictionary.v1.dictionary.HybridsGroupsForCulture.deleted:type_name -> google.protobuf.BoolValue
	6,  // 2: fcp.dictionary.v1.dictionary.HybridsGroupsForCulture.created_by:type_name -> google.protobuf.StringValue
	8,  // 3: fcp.dictionary.v1.dictionary.HybridsGroupsForCulture.created_at:type_name -> google.protobuf.Timestamp
	6,  // 4: fcp.dictionary.v1.dictionary.HybridsGroupsForCulture.updated_by:type_name -> google.protobuf.StringValue
	8,  // 5: fcp.dictionary.v1.dictionary.HybridsGroupsForCulture.updated_at:type_name -> google.protobuf.Timestamp
	9,  // 6: fcp.dictionary.v1.dictionary.HybridsGroupsForCultureFilter.id:type_name -> google.protobuf.Int64Value
	9,  // 7: fcp.dictionary.v1.dictionary.HybridsGroupsForCultureFilter.culture_id:type_name -> google.protobuf.Int64Value
	9,  // 8: fcp.dictionary.v1.dictionary.HybridsGroupsForCultureFilter.hybrids_group_id:type_name -> google.protobuf.Int64Value
	7,  // 9: fcp.dictionary.v1.dictionary.HybridsGroupsForCultureFilter.deleted:type_name -> google.protobuf.BoolValue
	1,  // 10: fcp.dictionary.v1.dictionary.ListHybridsGroupsForCultureRequest.filter:type_name -> fcp.dictionary.v1.dictionary.HybridsGroupsForCultureFilter
	10, // 11: fcp.dictionary.v1.dictionary.ListHybridsGroupsForCultureRequest.sortings:type_name -> fcp.dictionary.v1.dictionary_common.Sorting
	11, // 12: fcp.dictionary.v1.dictionary.ListHybridsGroupsForCultureRequest.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationRequest
	0,  // 13: fcp.dictionary.v1.dictionary.ListHybridsGroupsForCultureResponse.items:type_name -> fcp.dictionary.v1.dictionary.HybridsGroupsForCulture
	12, // 14: fcp.dictionary.v1.dictionary.ListHybridsGroupsForCultureResponse.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationResponse
	0,  // 15: fcp.dictionary.v1.dictionary.GetHybridsGroupsForCultureResponse.item:type_name -> fcp.dictionary.v1.dictionary.HybridsGroupsForCulture
	16, // [16:16] is the sub-list for method output_type
	16, // [16:16] is the sub-list for method input_type
	16, // [16:16] is the sub-list for extension type_name
	16, // [16:16] is the sub-list for extension extendee
	0,  // [0:16] is the sub-list for field type_name
}

func init() { file_v1_dictionary_hybrids_groups_for_culture_proto_init() }
func file_v1_dictionary_hybrids_groups_for_culture_proto_init() {
	if File_v1_dictionary_hybrids_groups_for_culture_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HybridsGroupsForCulture); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HybridsGroupsForCultureFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListHybridsGroupsForCultureRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListHybridsGroupsForCultureResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetHybridsGroupsForCultureRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetHybridsGroupsForCultureResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_dictionary_hybrids_groups_for_culture_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_dictionary_hybrids_groups_for_culture_proto_goTypes,
		DependencyIndexes: file_v1_dictionary_hybrids_groups_for_culture_proto_depIdxs,
		MessageInfos:      file_v1_dictionary_hybrids_groups_for_culture_proto_msgTypes,
	}.Build()
	File_v1_dictionary_hybrids_groups_for_culture_proto = out.File
	file_v1_dictionary_hybrids_groups_for_culture_proto_rawDesc = nil
	file_v1_dictionary_hybrids_groups_for_culture_proto_goTypes = nil
	file_v1_dictionary_hybrids_groups_for_culture_proto_depIdxs = nil
}
